# Uses of Interface
javax.print.Doc

Packages that use Doc
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.

## Uses of Doc in javax.print

Classes in javax.print that implement Doc
Modifier and Type
Class
Description
`final class`
`SimpleDoc`
This class is an implementation of interface `Doc` that can be used in many common printing requests.
Methods in javax.print that return Doc
Modifier and Type
Method
Description
`Doc`
MultiDoc.`getDoc()`
Obtain the current doc object.
Methods in javax.print with parameters of type Doc
Modifier and Type
Method
Description
`void`
DocPrintJob.`print(Doc doc, PrintRequestAttributeSet attributes)`
Prints a document with the specified job attributes.